Skip to content

Get project by ID or name.

GET
/backend/v1/projects/{project}

Retrieves a project by its ID or name.

Authorizations

HTTPBearer
Type
HTTP (bearer)

Parameters

Path Parameters

project*
Required

Query Parameters

configAt

Get the config at a given point in time.

Responses

Successful Response

application/json
JSON
{
  
"project": {
  
  
"adminCount": 0,
  
  
"adminRoleId": "string",
  
  
"agentSessionCount": 0,
  
  
"botType": "string",
  
  
"chatbotId": "string",
  
  
"config": {
  
  
  
"packages": [
  
  
  
  
{
  
  
  
  
  
"blocking": true,
  
  
  
  
  
"enabled": true,
  
  
  
  
  
"flagMessage": "string",
  
  
  
  
  
"force": true,
  
  
  
  
  
"id": "string",
  
  
  
  
  
"mode": "string",
  
  
  
  
  
"version": "string"
  
  
  
  
}
  
  
  
],
  
  
  
"providers": [
  
  
  
  
{
  
  
  
  
  
"capabilities": [
  
  
  
  
  
  
"string"
  
  
  
  
  
],
  
  
  
  
  
"default": true,
  
  
  
  
  
"enabled": true,
  
  
  
  
  
"id": "string",
  
  
  
  
  
"name": "string",
  
  
  
  
  
"type": "string"
  
  
  
  
}
  
  
  
],
  
  
  
"scanners": [
  
  
  
  
{
  
  
  
  
  
"blocking": true,
  
  
  
  
  
"enabled": true,
  
  
  
  
  
"flagMessage": "string",
  
  
  
  
  
"force": true,
  
  
  
  
  
"id": "string",
  
  
  
  
  
"mode": "string",
  
  
  
  
  
"version": "string"
  
  
  
  
}
  
  
  
]
  
  
},
  
  
"createdAt": "string",
  
  
"createdBy": "string",
  
  
"deploymentStatus": "draft",
  
  
"friendlyId": "string",
  
  
"id": "string",
  
  
"memberCount": 0,
  
  
"memberRoleId": "string",
  
  
"name": "string",
  
  
"providerCount": 0,
  
  
"scannerCount": 0,
  
  
"tokenCount": 0,
  
  
"type": "string",
  
  
"updatedAt": "string"
  
}
}

Playground

Server
Authorization
Variables
Key
Value

Samples

Powered by VitePress OpenAPI

Updated at: